
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//	Attend un certain temps, donn en millisecondes, talonne pour une HW1
//
//	Cette fonction est tire de Ti-Chess, par Thomas Nussbaumer
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

asm("attend:  movem.l %d0-%d3,-(%sp)
           move.w (20,%sp),%d2
           move.l #31,%d1
           move.l #31,%d3
_wl2_:     move.w #120,%d0
_wl1_:     rol.l  %d3,%d1
           dbra   %d0,_wl1_
           dbra   %d2,_wl2_
           movem.l (%sp)+,%d0-%d3
           rts");

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//	Affiche les pions sur le plateau et efface les cases vides
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void place_pions()
{
	short i ;
	for (i = 10 ; i <= 80 ; i++) if (i%9 != 0) draw_pion_case(i, Tableau[i] != VIDE ? Tableau[i] : 13) ;
}


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//	Charge le n-ime coup de la partie stocke dans Sav
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void charger(short coup)
{
	short i, caze ;
	
	Joueur = BLANC ;
	CompteurTotal = 0 ; ProfMax = 0 ; Freq = 0 ; Alfbet[0] = 0 ; GainSur = 0 ;

	for (i = 10 ; i <= 80 ; i++) Tableau[i] = VIDE ;
	for (i = 0 ; i < 10 ; i++)
		Tableau[i] = Tableau[i+81] = Tableau[9*i] = DEHORS ;
	Tableau[41] = Tableau[49] = NOIR ;
	Tableau[40] = Tableau[50] = BLANC ;

	for (NbrePions = 4 ; NbrePions < coup ; NbrePions++)			// Rejoue tous les coups depuis le dbut du jeu
	{
		caze = Sav[NbrePions-4] ;			// Lit le coup suivant  jouer dans Sav
		if (caze == 0) break ;										

		if (caze < 0)						// Si ce coup est ngatif, c'est aux blancs de jouer
		{									// Enregistrer le joueur permet de ne pas avoir pas de problme quand l'un passe son tour
			Joueur = BLANC ;
			caze *= -1 ;
		}
		else
			Joueur = NOIR ;

		prise(caze, Joueur) ;
	}
	
	for (i = 10, NbreBlancs = 0 ; i <= 80 ; i++) if (Tableau[i] == BLANC) NbreBlancs++;		// Compte le nombre de pions blancs
}
