
INT_HANDLER Ancien1 = NULL, Ancien4 = NULL, Ancien5 = NULL ;

volatile short Compteur = 0 ;			// Permet  la rflexion de dpendre uniquement du temps

DEFINE_INT_HANDLER(Int5) { if (Compteur != 0) Compteur-- ; }	// Compteur est dcrment 10 fois par seconde

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//	Redirige les interruptions 1, 4 et 5 vers rien en sauvegardant les prcdentes
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void init_int()
{
	Ancien1 = GetIntVec(AUTO_INT_1) ;
	Ancien4 = GetIntVec(AUTO_INT_4) ;
	Ancien5 = GetIntVec(AUTO_INT_5) ;
	SetIntVec(AUTO_INT_1, DUMMY_HANDLER) ;
	SetIntVec(AUTO_INT_4, DUMMY_HANDLER) ;
	SetIntVec(AUTO_INT_5, Int5) ;
	pokeIO(0x600017, 0x68) ;				// Force l'interruption 5  s'activer 10 fois par seconde (au lieu de 20 habituellement)
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//	Restaure les interruptions qui avaient t modifies
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void restaure_int()
{
	SetIntVec(AUTO_INT_1, Ancien1) ;
	SetIntVec(AUTO_INT_4, Ancien4) ;
	SetIntVec(AUTO_INT_5, Ancien5) ;
	pokeIO(0x600017, 0xB2) ;
	OSTimerRestart(2) ;
}
